#pragma once
#include <J3ML/LinearAlgebra.h>
using namespace J3ML;

using J3ML::LinearAlgebra::Vector3;

///Calculates the angle between two points in 3D space.
Vector3 calcAngle(Vector3 sP, Vector3 eP) {
    return {static_cast<float>((-(asinf((eP.y - sP.y) / Vector3::Distance(sP, eP)) * 180.0f / Math::Pi))),static_cast<float>(-(atan2f(eP.x - sP.x,eP.z - sP.z) / Math::Pi * 180.0f)),0};
}